LINUX.ORG.RU

Debian Wheezy + Gearman + PHP

 , , ,


0

1

Проблема такая:
1. Установил на debian wheezy gearman 2. При установке для php через pecl. Вылезла ошибка о том, что не хватает libgearman
3. В стандартном репозитории ее нет. Но нашел репозиторий разработчиков для ubuntu
4. При установке вылезла ошибка о неправильной версии libc6
5. Прописал testing репозиторий. Установил нужную версию.
6. Все вроде установилось
7. Но в очередной apt-get install залезла куча библиотек из testing. Я не обратил внимание и теперь у меня debian jessie.

Вопросы такие: как мне вернуть wheezy, не снося систему?
как мне «безопасно поставить php расширение gearman, что бы не возникло таких проблем?

Спасибо за помощь.

Ты попал.

3. В стандартном репозитории ее нет. Но нашел репозиторий разработчиков для ubuntu 4. При установке вылезла ошибка о неправильной версии libc6

Зачастую библиотеки/приложения выкладывают для нескольких версий Ubuntu, поэтому надо было искать тот репозиторий, в котором libc совпадает.

Вопросы такие: как мне вернуть wheezy, не снося систему?

Гугл в помощь.

anonymous ()
Ответ на: комментарий от anonymous

Но сначала бэкап системы/раздела.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.